Function
goDown
Iterates down one edge or a path in a tree.
bool goDown(iterator)
bool goDown(iterator, char)
bool goDown(iterator, text[, lcp])
Include Headers
seqan/index.h
Parameters

iterator | An iterator of a suffix tree. Types: TopDown Iterator
char | iterator goes down the edge beginning with char.
text | iterator goes down the path representing text. If text ends within an edge, iterator will point to the child-end of this edge.
lcp | A reference of a size type. When goDown returns, lcp contains the length of the longest-common-prefix of text and a path beginning at the iterator node. Types: Segment, String

Remarks
goDown(iterator) goes down the leftmost edge in the suffix tree, i.e. the edge beginning with the lexicographically smallest character.
Return Values
true if the edge or path to go down exists, otherwise false.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47